﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not IsPostBack Then
            'Binding the Repeater control.
            Dim Items As New DataTable()
            Items.Columns.AddRange(New DataColumn(1) {New DataColumn("Name"), New DataColumn("Price")})
            Dim FilteredItems As DataTable = Items.Clone()
            Items.Rows.Add("Shirt", 200)
            Items.Rows.Add("Football", 30)
            Items.Rows.Add("Bat", 22.5)
            rptProducts.DataSource = Items
            rptProducts.DataBind()

            'Finding the HeaderTemplate and access its controls 
            Dim HeaderTemplate As Control = rptProducts.Controls(0).Controls(0)
            Dim lblHeader As Label = TryCast(HeaderTemplate.FindControl("lblHeader"), Label)
            lblHeader.Text = "Header"

            'Finding the FooterTemplate and access its controls 
            Dim FooterTemplate As Control = rptProducts.Controls(rptProducts.Controls.Count - 1).Controls(0)
            Dim lblFooter As Label = TryCast(FooterTemplate.FindControl("lblFooter"), Label)
            lblFooter.Text = "Footer"
        End If
    End Sub

End Class
