﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
protected void Page_Load(object sender, EventArgs e)
{
    if (!IsPostBack)
    {
        //Binding the Repeater control.
        DataTable Items = new DataTable();
        Items.Columns.AddRange(new DataColumn[2] { new DataColumn("Name"), new DataColumn("Price") });
        DataTable FilteredItems = Items.Clone();
        Items.Rows.Add("Shirt", 200);
        Items.Rows.Add("Football", 30);
        Items.Rows.Add("Bat", 22.5);
        rptProducts.DataSource = Items;
        rptProducts.DataBind();

        //Finding the HeaderTemplate and access its controls 
        Control HeaderTemplate = rptProducts.Controls[0].Controls[0];
        Label lblHeader = HeaderTemplate.FindControl("lblHeader") as Label;
        lblHeader.Text = "Header";

        //Finding the FooterTemplate and access its controls 
        Control FooterTemplate = rptProducts.Controls[rptProducts.Controls.Count - 1].Controls[0];
        Label lblFooter = FooterTemplate.FindControl("lblFooter") as Label;
        lblFooter.Text = "Footer";
    }
}
}